petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASGetSmootherDown

Gets the downsmoother on a level.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetSmootherDown(SNES snes, PetscInt level, SNES *smooth)

### Input Parameters

| snes | - the multigrid context
| level | - the level (0 is coarsest) to supply

### Output Parameters

smooth - the smoother

### Keywords

FAS, MG, get, multigrid, smoother, level

### See Also

SNESFASSetInjection(), SNESFASSetRestriction()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages